<template>
	<select>
		<slot></slot>
	</select>
</template>

<script src='./Select.js'></script>

<style>
	select {
		width: 100%;
	}

	.select2-result-item {
		padding-top: 4px;
		padding-bottom: 3px
	}

	.select2-result-item__avatar {
		float: left;
		width: 60px;
		margin-right: 10px;
		text-align: center;
	}

	.select2-result-item__avatar img {
		width: 100%;
		height: auto;
		border-radius: 2px;
		max-width: 20px;
	}

	.select2-result-item__meta {
		margin-left: 70px
	}

	.select2-result-item__title {
		color: black;
		font-weight: 700;
		word-wrap: break-word;
		line-height: 1.1;
		margin-bottom: 4px
	}

	.select2-result-item__forks, .select2-result-item__stargazers {
		margin-right: 1em
	}

	.select2-result-item__forks, .select2-result-item__stargazers, .select2-result-item__watchers {
		display: inline-block;
		color: #aaa;
		font-size: 11px
	}

	.select2-result-item__description {
		font-size: 13px;
		color: #777;
		margin-top: 4px
	}

	.select2-results__option--highlighted .select2-result-item__title {
		color: white
	}

	.select2-results__option--highlighted .select2-result-item__forks, .select2-results__option--highlighted .select2-result-item__stargazers, .select2-results__option--highlighted .select2-result-item__description, .select2-results__option--highlighted .select2-result-item__watchers {
		color: #c6dcef
	}

	.s2-docs-sidebar.affix {
		position: static
	}
</style>
